/*jshint smarttabs:true, eqeqeq:false, eqnull:true, laxbreak:true*/
/**
 * @author kongxiangxu
 * Manually start the vx and open trasfer
 */
var init = function() {
	vx.bootstrap(document.body, ["mapp"]);
	function getQueryString(name) {
	    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
	    var r = window.location.search.substr(1).match(reg);
	    if (r != null) return unescape(r[2]); 
	    return null;
    }

	// for Prod
	var prod = function(){
		if (window.NativeCall) {
			NativeCall.getActionId(function(ActionId, SinfoSeq) {
				var url = "htmls/" + ActionId + "/" + ActionId + ".html";
				var sessionService = vx.element("body").injector().get("sessionService");
				sessionService.params.SinfoSeq = SinfoSeq;
				window.encryptAcNoFlag=SinfoSeq;
				window.NativeCall.loadTrasfer('content', url);
				//NativeCall.startTransition();
			});
		}
	}
	
	// for Dev
	var dev = function(){
		var actionId = getQueryString("Page");
		var infoSeq = getQueryString("SinfoSeq");
		var url = "htmls/"+actionId+"/"+actionId+".html";
		var sessionService = vx.element("body").injector().get("sessionService");
		sessionService.params.SinfoSeq = infoSeq;
		if(window.NativeCall){
			window.NativeCall.loadTrasfer('content',url);
			NativeCall.startTransition();
		}
	}
	
	prod();
};
if(document.addEventListener){
	document.addEventListener("DOMContentLoaded", init, false);
}else if(document.attachEvent){//for ie
	document.attachEvent( "onreadystatechange", init );
}